/*
 * escpf [ESC/P lpr filter version 0.2]		1995,03,12
 *
 *	Copyright 1995 by Hideya Hane
 *
 * 		0.2	some bug fix		1994,03,12
 * 		0.1	Initial Version		1994,01,28
 */

/* 
 * escpf header files for definition & macros 
 */

/* begin of printer control code definition */
#define		CR			0x0a
#define		PAGE_FEED		0x0c
#define		ASCII_MODE_1		0x1b
#define		ASCII_MODE_2		0x2e
#define		S12CPI_MODE_1		0x1b
#define		S12CPI_MODE_2		0x4d
#define		LEFT_MARGIN_1		0x1b
#define		LEFT_MARGIN_2		0x6c
#define		LEFT_MARGIN_3		0x04
#define		ESCP_KANJI_IN_1		0x1c
#define		ESCP_KANJI_IN_2		0x26
#define		ESCP_KANJI_OUT_1	0x1c
#define		ESCP_KANJI_OUT_2	0x2e
#define		JIS_KANJI_IN_1		0x1b
#define		JIS_KANJI_IN_2		0x24
#define		JIS_KANJI_IN_3		0x42
#define		JIS_KANJI_OUT_1		0x1b
#define		JIS_KANJI_OUT_2		0x28
#define		JIS_KANJI_OUT_3		0x42
#define		OF_STOP_1		0x19
#define		OF_STOP_2		0x01
/* end of printer control code definition */

/* begin of macros printer control */
#define		reset_printer()		printf("%c%c",0x1b,0x40)
#define		ascii_mode()		printf("%c%c", 0x1c, 0x2e)
#define		set_kanji_pitch()	printf("%c%c%c%c",0x1c,0x53,0x00,0x06)
#define		hankaku_mode()		printf("%c%c", 0x1c, 0x0f)
#define		set_12_cpi_mode()	printf("%c%c%", 0x1b, 0x4d)
#define         set_15_cpi_mode()       printf("%c%c%", 0x1b, 0x67)
#define		set_left_mergin( spc )	printf("%c%c%c", 0x1b, 0x6c, spc )
#define		kanji_in()		printf("%c%c", 0x1c, 0x26)
#define		kanji_out()		printf("%c%c", 0x1c, 0x2e)
#define		buf_flush()		printf("%c%c%c", read_data, read_data2, read_data3)
/* end of macros printer control */
